// Enum: AridityIndex
// Kyoung Shin Park (Java Programming I)
public enum AridityIndex {
	Perhumid(1), Humid(2), SubHumid(3), SemiArid(4), Arid(5), ExtremelyArid(6);
		
	private final int type;
	AridityIndex(int type) {
		this.type = type;
	}
		
	public int getType() {
		return type;
	}

	public static AridityIndex valueOf(int value) {
		switch (value) { // switch
		case 1:	return Perhumid;
		case 2:	return Humid;
		case 3:	return SubHumid;
		case 4: return SemiArid;
		case 5: return Arid;
		case 6: return ExtremelyArid;
		default: return null;
		}
	}
}